Skip to main content
GET
/
api
/
v1
/
cert-manager
/
applications
/
{applicationId}
/
alerts
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/cert-manager/applications/{applicationId}/alerts
{
  "alerts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "filters": [
        {
          "value": "<string>"
        }
      ],
      "enabled": true,
      "notificationConfig": {
        "enableDailyNotification": false
      },
      "channels": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "config": {},
          "enabled": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "lastRun": {
        "timestamp": "2023-11-07T05:31:56Z",
        "error": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "alertBefore": "<string>",
      "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total": 1
}

Path Parameters

applicationId
string<uuid>
required

Query Parameters

eventType
enum<string>
Available options:
expiration,
renewal,
issuance,
revocation
enabled
boolean
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Default Response

alerts
object[]
required
total
integer
required
Required range: x >= 0